Name:           kwalletcli
Version:        3.00
Release:        3%{?dist}
Summary:        CLI for the KDE Wallet

License:        MirOS
URL:            https://www.mirbsd.org/kwalletcli.htm
Source0:        https://www.mirbsd.org/MirOS/dist/hosted/kwalletcli/kwalletcli-%{version}.tar.gz

%if 0%{?fedora}
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kwallet-devel
%else
BuildRequires:  kdelibs-devel
%endif

%description
A command-line interface to the KDE Wallet, for KDE 4 and KF5 (so shell
scripts, Python, etc. do not need to use DCOP or D-Bus directly to access it
to store passwords, instead being able to call this convenient wrapper). KF5
does come with a kwallet-query utility, however, it requires the caller to
know the name of the default wallet, which most scripts won’t know, and lacks
kwalletcli’s extra utilities.

%prep
%setup -q -n %{name}
# Fix shell
%if 0%{?rhel} && 0%{?rhel} <= 7
sed -i -e 's,/usr/bin/env ,/bin/,' *kwallet*
%else
sed -i -e 's,/bin/env ,/bin/,' *kwallet*
%endif


%build
%if 0%{?fedora}
make %{?_smp_mflags} KDE_VER=5 CFLAGS="%{optflags} -fPIC"  LDFLAGS="%{?__global_ldflags}"
%else
make %{?_smp_mflags} KDE_VER=4 KDE_INCS="-I%{_includedir}/Qt -I%{_includedir}/kde4" CFLAGS="%{optflags} -fPIC"  LDFLAGS="-L%{_libdir}/kde4/devel %{?__global_ldflags}"
%endif


%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1
make install DESTDIR=%{buildroot} INSTALL_STRIP=


%files
%license LICENCE
%{_bindir}/%{name}
%{_bindir}/kwalletaskpass
%{_bindir}/kwalletcli_getpin
%{_bindir}/pinentry-kwallet
%{_mandir}/man1/*.1*


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.00-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 7 2017 Orion Poplawski <orion@cora.nwra.com> - 3.00-2
- Fix shell in scripts

* Wed Dec 28 2016 Orion Poplawski <orion@cora.nwra.com> - 3.00-1
- Initial package
